net.minecraft.network.play.server

## Class S14PacketEntity.S17PacketEntityLookMove

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S14PacketEntity
    - - net.minecraft.network.play.server.S14PacketEntity.S17PacketEntityLookMove

- Enclosing class:
    S14PacketEntity

      public static class S14PacketEntity.S17PacketEntityLookMove
      extends S14PacketEntity

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.network.play.server.S14PacketEntity

      `S14PacketEntity.S15PacketEntityRelMove, S14PacketEntity.S16PacketEntityLook, S14PacketEntity.S17PacketEntityLookMove`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.network.play.server.S14PacketEntity

      `field_149068_f, field_149069_g, field_149070_d, field_149071_e, field_149072_b, field_149073_c, field_149074_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `S14PacketEntity.S17PacketEntityLookMove()`
    `S14PacketEntity.S17PacketEntityLookMove(int p_i45204_1_, byte p_i45204_2_, byte p_i45204_3_, byte p_i45204_4_, byte p_i45204_5_, byte p_i45204_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.play.server.S14PacketEntity

      `func_149060_h, func_149061_d, func_149062_c, func_149063_g, func_149064_e, func_149065_a, func_149066_f, processPacket, toString`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S14PacketEntity.S17PacketEntityLookMove

          public S14PacketEntity.S17PacketEntityLookMove()

    - #### S14PacketEntity.S17PacketEntityLookMove

          public S14PacketEntity.S17PacketEntityLookMove(int p_i45204_1_,
                                                 byte p_i45204_2_,
                                                 byte p_i45204_3_,
                                                 byte p_i45204_4_,
                                                 byte p_i45204_5_,
                                                 byte p_i45204_6_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Overrides:
        `readPacketData` in class `S14PacketEntity`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Overrides:
        `writePacketData` in class `S14PacketEntity`
      Throws:
        `java.io.IOException`

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `S14PacketEntity`

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Overrides:
        `processPacket` in class `S14PacketEntity`